Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.content
Class NodeProperty.NamespaceCache

    java.lang.Object
      org.apache.slide.content.NodeProperty.NamespaceCache

Enclosing class:
  NodeProperty

public static class NodeProperty.NamespaceCache
extends java.lang.Object

The usage of this class avoids the creation of mutliple Namespace objects with the same URI but different prefix. Just use it as a replacement for the `org.jdom.Namespace`. It also predefines Namespace objects for the `DAV:` and the `http://jakarta.apache.org/slide/` namespace (with an appropriate prefix).

Field Summary
`static org.jdom.Namespace` | `DEFAULT_NAMESPACE` Namespace with `DEFAULT_PREFIX` and `DEFAULT_URI`.
`static java.lang.String` | `DEFAULT_PREFIX` String constant for `D`.
`static java.lang.String` | `DEFAULT_URI` String constant for `DAV:`.
`protected static java.util.Map` | `namespaceMap` Maps the namespace' URI to the Namespace object.
`static org.jdom.Namespace` | `SLIDE_NAMESPACE` Namespace with `SLIDE_PREFIX` and `SLIDE_URI`.
`static java.lang.String` | `SLIDE_PREFIX` String constant for `S`.
`static java.lang.String` | `SLIDE_URI` String constant for `http://jakarta.apache.org/slide/`.

Constructor Summary
`NodeProperty.NamespaceCache()`

Method Summary
`static org.jdom.Namespace` | `getNamespace(java.lang.String uri)` Returns the Namespace for the given `uri`.
`static org.jdom.Namespace` | `getNamespace(java.lang.String prefix, java.lang.String uri)` Returns the Namespace for the given `prefix` and `uri`.
`protected static java.util.Map` | `getNamespaceMap()` Returns the `namespaceMap`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SLIDE_PREFIX

    public static final java.lang.String SLIDE_PREFIX

  String constant for `S`.

  See Also:
    Constant Field Values

### SLIDE_URI

    public static final java.lang.String SLIDE_URI

  String constant for `http://jakarta.apache.org/slide/`.

  See Also:
    Constant Field Values

### SLIDE_NAMESPACE

    public static final org.jdom.Namespace SLIDE_NAMESPACE

  Namespace with `SLIDE_PREFIX` and `SLIDE_URI`.

### DEFAULT_PREFIX

    public static final java.lang.String DEFAULT_PREFIX

  String constant for `D`.

  See Also:
    Constant Field Values

### DEFAULT_URI

    public static final java.lang.String DEFAULT_URI

  String constant for `DAV:`.

  See Also:
    Constant Field Values

### DEFAULT_NAMESPACE

    public static final org.jdom.Namespace DEFAULT_NAMESPACE

  Namespace with `DEFAULT_PREFIX` and `DEFAULT_URI`.

### namespaceMap

    protected static java.util.Map namespaceMap

  Maps the namespace' URI to the Namespace object.

Constructor Detail

### NodeProperty.NamespaceCache

    public NodeProperty.NamespaceCache()

Method Detail

### getNamespace

    public static org.jdom.Namespace getNamespace(java.lang.String uri)

  Returns the Namespace for the given `uri`. If there is already an entry in the cache for this URI, this Namespace will be returned. Otherwise a new Namespace with the prefix `""` (default namespace) will be created and put into the cache.

  Parameters:
    `uri` - the URI for which to return the Namespace.
  Returns:
    the Namespace for the given URI.

### getNamespace

    public static org.jdom.Namespace getNamespace(java.lang.String prefix,
                                                  java.lang.String uri)

  Returns the Namespace for the given `prefix` and `uri`. If there is already an entry in the cache for this URI, this Namespace will be returned. Otherwise a new Namespace with the given `prefix` and `uri` will be created and put into the cache.

  Parameters:
    `prefix` - the prefix for which to return the Namespace.
    `uri` - the URI for which to return the Namespace.
  Returns:
    the Namespace for the given URI.

### getNamespaceMap

    protected static java.util.Map getNamespaceMap()

  Returns the `namespaceMap`.

  Returns:
    the `namespaceMap`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD